# Interface MsgSendTransaction

interface MsgSendTransaction {
transaction: {
block: {
timestamp: string;
};
memo?: string;
success: boolean;
};
transaction_hash: string;
type: "cosmos.bank.v1beta1.MsgSend";
value: MsgSendValue;
}

#### Hierarchy

- GenericTransaction<MsgSendValue>
  - MsgSendTransaction

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/blockchain/types.ts:73

#####
Index

### Properties

transaction
transaction_hash
type
value

##
Properties

### transaction

transaction: {
block: {
timestamp: string;
};
memo?: string;
success: boolean;
}

Inherited from GenericTransaction.transaction

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/blockchain/types.ts:9

### transaction_hash

transaction_hash: string

Inherited from GenericTransaction.transaction_hash

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/blockchain/types.ts:8

### type

type: "cosmos.bank.v1beta1.MsgSend"

Overrides GenericTransaction.type

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/blockchain/types.ts:74

### value

value: MsgSendValue

Inherited from GenericTransaction.value

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/blockchain/types.ts:6